SerialSerialBinding (Oracle - Berkeley DB Java API)
Keywords: com.sleepycat.bind.serial.SerialSerialBinding class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind.serial
Class SerialSerialBinding

    java.lang.Object
      com.sleepycat.bind.serial.SerialSerialBinding

All Implemented Interfaces:
  EntityBinding

    public abstract class SerialSerialBinding

extends Object
implements EntityBinding

An abstract `EntityBinding` that treats an entity's key entry and data entry as serialized objects.

This class takes care of serializing and deserializing the key and data entry automatically. Its three abstract methods must be implemented by a concrete subclass to convert the deserialized objects to/from an entity object.

- `entryToObject(Object,Object)`
- `objectToKey(Object)`
- `objectToData(Object)`

Constructor Summary
`SerialSerialBinding(ClassCatalog classCatalog, Class keyClass, Class dataClass)` Creates a serial-serial entity binding.
`SerialSerialBinding(SerialBinding keyBinding, SerialBinding dataBinding)` Creates a serial-serial entity binding.

Method Summary
`Object` | `entryToObject(DatabaseEntry key, DatabaseEntry data)` Converts key and data entry buffers into an entity Object.
`abstract Object` | `entryToObject(Object keyInput, Object dataInput)` Constructs an entity object from deserialized key and data objects.
`abstract Object` | `objectToData(Object object)` Extracts a data object from an entity object.
`void` | `objectToData(Object object, DatabaseEntry data)` Extracts the data entry from an entity Object.
`abstract Object` | `objectToKey(Object object)` Extracts a key object from an entity object.
`void` | `objectToKey(Object object, DatabaseEntry key)` Extracts the key entry from an entity Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerialSerialBinding

    public SerialSerialBinding(ClassCatalog classCatalog,
                               Class keyClass,
                               Class dataClass)

  Creates a serial-serial entity binding.

  Parameters:
    `classCatalog` - is the catalog to hold shared class information and for a database should be a `StoredClassCatalog`.
    `keyClass` - is the key base class.
    `dataClass` - is the data base class.

### SerialSerialBinding

    public SerialSerialBinding(SerialBinding keyBinding,
                               SerialBinding dataBinding)

  Creates a serial-serial entity binding.

  Parameters:
    `keyBinding` - is the key binding.
    `dataBinding` - is the data binding.

Method Detail

### entryToObject

    public Object entryToObject(DatabaseEntry key,
                                DatabaseEntry data)

  Description copied from interface: `EntityBinding`
  Converts key and data entry buffers into an entity Object.

  Specified by:
    `entryToObject` in interface `EntityBinding`
  Parameters:
    `key` - is the source key entry.
    `data` - is the source data entry.
  Returns:
    the resulting Object.

### objectToKey

    public void objectToKey(Object object,
                            DatabaseEntry key)

  Description copied from interface: `EntityBinding`
  Extracts the key entry from an entity Object.

  Specified by:
    `objectToKey` in interface `EntityBinding`
  Parameters:
    `object` - is the source Object.
    `key` - is the destination entry buffer.

### objectToData

    public void objectToData(Object object,
                             DatabaseEntry data)

  Description copied from interface: `EntityBinding`
  Extracts the data entry from an entity Object.

  Specified by:
    `objectToData` in interface `EntityBinding`
  Parameters:
    `object` - is the source Object.
    `data` - is the destination entry buffer.

### entryToObject

    public abstract Object entryToObject(Object keyInput,
                                         Object dataInput)

  Constructs an entity object from deserialized key and data objects.

  Parameters:
    `keyInput` - is the deserialized key object.
    `dataInput` - is the deserialized data object.
  Returns:
    the entity object constructed from the key and data.

### objectToKey

    public abstract Object objectToKey(Object object)

  Extracts a key object from an entity object.

  Parameters:
    `object` - is the entity object.
  Returns:
    the deserialized key object.

### objectToData

    public abstract Object objectToData(Object object)

  Extracts a data object from an entity object.

  Parameters:
    `object` - is the entity object.
  Returns:
    the deserialized data object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.6.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996,2007 Oracle. All rights reserved.